List of Google Locations for App Data API

 
By calling this endpoint you will receive the list of Google locations supported in App Data API.

You can also download the full list of supported locations in the CSV format (last updated 2026-08-06).

Note: currently, the Google App Listings Search endpoint and Google Play Listings Database support only the United States (location code 2840).

Note: All locations in Russia and Belarus are no longer supported across all DataForSEO services due to the invasion of Ukraine.

 

checked GET
checked GET
Pricing

Your account will not be charged for using this API

‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information about available locations. You can filter the list of locations by country when setting a task.

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the parameters passed in the URL of the GET request

    resultarray

array of results

        location_codeinteger

location code

        location_namestring

full name of the location

        location_name_parentstring

the name of the superordinate location
example:
"location_code": 1006473,
"location_name": "Altrincham,England,United Kingdom",
"location_name_parent": "England,United Kingdom",
where location_name_parent corresponds to:

"location_code": 20339,
"location_name": "England,United Kingdom"

        country_iso_codestring

ISO country code of the location

        location_typestring

location type

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/app_data/google/locations" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	// using this method you can get a list of locations
	// GET /v3/app_data/google/locations
	// in addition to 'google' you can also set other search engine
	// the full list of possible parameters is available in documentation
	$result = $client->get('/v3/app_data/google/locations');
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/app_data/google/locations',
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# using this method you can get a list of locations
# GET /v3/app_data/google/locations
# in addition to 'google' you can also set other search engine
# the full list of possible parameters is available in documentation
response = client.get("/v3/app_data/google/locations")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task app_data_locations()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get a list of locations
            // GET /v3/app_data/google/locations
            // in addition to 'google' you can also set other search engine
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/app_data/google/locations");
            var result = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20220420",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.4267 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "04211826-2806-0434-0000-2df1073ffaa3",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.3696 sec.",
      "cost": 0,
      "result_count": 117315,
      "path": [
        "v3",
        "app_data",
        "google",
        "locations"
      ],
      "data": {
        "api": "app_data",
        "function": "locations",
        "se": "google"
      },
      "result": [
        {
          "location_code": 2036,
          "location_name": "Australia",
          "location_name_parent": null,
          "country_iso_code": "AU",
          "location_type": "Country"
        },
        {
          "location_code": 2124,
          "location_name": "Canada",
          "location_name_parent": null,
          "country_iso_code": "CA",
          "location_type": "Country"
        },
        {
          "location_code": 2250,
          "location_name": "France",
          "location_name_parent": null,
          "country_iso_code": "FR",
          "location_type": "Country"
        }
      ]
    }
  ]
}